Page MenuHomePhabricator

Special:Allpages for namespace 0 sometimes shows project namespace pages (namespaceDupes.php?)
Closed, ResolvedPublic

Description

Author: Wiki.Melancholie

Description:
Special:Allpages for namespace 0 sometimes shows project namespaces pages!

Note: I already saw wrong namespace pages being contained in "anywiki-latest-all-titles-in-ns0" dumps several times.

I checked that for uk.wiktionary:

The following page contains "Вікісловник:Адміністратори" (wrong):
http://uk.wiktionary.org/w/index.php?title=Special:AllPages&from=%D0%90%D0%B4%D1%80%D0%B5%D1%81&to=%D0%B0%D0%B1%D0%B0%D0%BF%D1%96%D0%BA%D0%B0%D0%BB%D1%8C%D0%BD%D0%B8%D0%B9

"вікіСловник:Адміністратори" (small в) is also contained in [[wikt:uk:Special:Allpages]].


Version: unspecified
Severity: enhancement
URL: http://uk.wiktionary.org/w/index.php?title=%D0%A1%D0%BF%D0%B5%D1%86%D1%96%D0%B0%D0%BB%D1%8C%D0%BD%D0%B0:AllPages&from=%D0%90%D0%B4%D1%80%D0%B5%D1%81&to=%D0%B0%D0%B1%D0%B0%D0%BF%D1%96%D0%BA%D0%B0%D0%BB%D1%8C%D0%BD%D0%B8%D0%B9

Details

Reference
bz16514

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:25 PM
bzimport set Reference to bz16514.

I think this can be fixed if a shell user runs namespaceDupes.php.

aaron added a comment.Dec 30 2008, 8:49 PM

(In reply to comment #1)

I think this can be fixed if a shell user runs namespaceDupes.php.

Not sure about that. Seems like CleanupTitles.php would work though (assuming the issue is pages with the project namespace prefix that are not actually in that namespace).

RobH added a comment.Jun 23 2009, 7:12 PM

Neither cleanupTitles or NamespaceDupes made any changes to this. Not sure what the issue could be, I will have to ask about some.

RobH added a comment.Jun 23 2009, 9:37 PM

Perhaps someone already ran these, because I do not see the issue....